# Class ProfileEditDialog | EchoHub Documentation
A Terminal.Gui dialog for editing the user's profile (display name, bio, nickname color).

# Class ProfileEditDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

A Terminal.Gui dialog for editing the user's profile (display name, bio, nickname color).

    public sealed class ProfileEditDialog

Inheritance
  object
  ProfileEditDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ProfileEditDialog()

    public ProfileEditDialog()

## Methods

### Show(IApplication, string?, string?, string?, bool, byte)

Shows the profile edit dialog and returns the result, or null if cancelled.

    public static ProfileEditResult? Show(IApplication app, string? currentDisplayName, string? currentBio, string? currentColor, bool notificationSoundEnabled = false, byte notificationVolume = 30)

#### Parameters

`app` IApplication
`currentDisplayName` string
`currentBio` string
`currentColor` string
`notificationSoundEnabled` bool
`notificationVolume` byte

#### Returns

ProfileEditResult